Page MenuHomePhabricator

[mlir] NFC: remove IntegerValueSet / MutableIntegerSet
ClosedPublic

Authored by bondhugula on Mar 6 2020, 7:01 PM.

Details

Summary
  • these are unused and really not needed now given flat affine constraints

Signed-off-by: Uday Bondhugula <uday@polymagelabs.com>

Diff Detail

Event Timeline

bondhugula created this revision.Mar 6 2020, 7:01 PM
Herald added a project: Restricted Project. · View Herald TranscriptMar 6 2020, 7:01 PM
bondhugula retitled this revision from NFC: remove IntegerValueSet / MutableIntegerSet to [mlir] NFC: remove IntegerValueSet / MutableIntegerSet.Mar 7 2020, 11:29 PM
mehdi_amini accepted this revision.Mar 8 2020, 11:07 AM
This revision is now accepted and ready to land.Mar 8 2020, 11:07 AM
bondhugula added a comment.EditedMar 8 2020, 11:48 AM

@mehdi_amini, could you please commit this for me? Thanks.

Good to see these go, I remember flagging them for removal in the very first month :)
Thanks for the cleanup Uday!

andydavis1 accepted this revision.Mar 9 2020, 10:20 AM

Good to see these go, I remember flagging them for removal in the very first month :)

Yes, along with FlatAffineConstraints and AffineValueMap as well, all of which weren't implemented yet then. :-) This isn't needed because flat affine constraints already provides a throwaway structure for what was intended with MutableIntegerSet.

Thanks for the cleanup Uday!

Could you please commit this for me? Thanks!

This revision was automatically updated to reflect the committed changes.